annotation_map {ggplot2} | R Documentation

## Annotation: maps.

### Description

Annotation: maps.

### Usage

    annotation_map(map, ...)

### Arguments

`map` | data frame representing a map. Most map objects can be converted into the right format by using `fortify`
`...` | other arguments used to modify aesthetics

### Examples

    if (require("maps")) {
    usamap <- map_data("state")

    seal.sub <- subset(seals, long > -130 & lat < 45 & lat > 40)
    ggplot(seal.sub, aes(x = long, y = lat)) +
      annotation_map(usamap, fill = "NA", colour = "grey50") +
      geom_segment(aes(xend = long + delta_long, yend = lat + delta_lat))

    seal2 <- transform(seal.sub,
      latr = cut(lat, 2),
      longr = cut(long, 2))

    ggplot(seal2,  aes(x = long, y = lat)) +
      annotation_map(usamap, fill = "NA", colour = "grey50") +
      geom_segment(aes(xend = long + delta_long, yend = lat + delta_lat)) +
      facet_grid(latr ~ longr, scales = "free", space = "free")
    }

[Package ggplot2 version 2.1.0 Index]